com.io7m.r2.core

## Enum R2DepthVariancePrecision

- java.lang.Object
- - java.lang.Enum<R2DepthVariancePrecision>
  - - com.io7m.r2.core.R2DepthVariancePrecision

- All Implemented Interfaces:
    Serializable, Comparable<R2DepthVariancePrecision>

      public enum R2DepthVariancePrecision
      extends Enum<R2DepthVariancePrecision>

  The precision of the depth variance buffer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `R2_DEPTH_VARIANCE_PRECISION_16` 16-bit depth variance buffer.
    `R2_DEPTH_VARIANCE_PRECISION_32` 32-bit depth variance buffer.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2DepthVariancePrecision` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2DepthVariancePrecision[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### R2_DEPTH_VARIANCE_PRECISION_16

          public static final R2DepthVariancePrecision R2_DEPTH_VARIANCE_PRECISION_16

      16-bit depth variance buffer.

    - #### R2_DEPTH_VARIANCE_PRECISION_32

          public static final R2DepthVariancePrecision R2_DEPTH_VARIANCE_PRECISION_32

      32-bit depth variance buffer.

  - ### Method Detail

    - #### values

          public static R2DepthVariancePrecision[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2DepthVariancePrecision c : R2DepthVariancePrecision.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2DepthVariancePrecision valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com